Ferramentas de texto e listas
Limpar, comparar e medir contido sen subir datos de traballo.
Centrar liñas de texto
Centra cada liña dentro dunha largura exacta en caracteres Unicode mantendo as filas en branco e rexeitando a truncación destrutiva.
Abrir ferramenta →Eliminar o prefixo das palabras
Elimina un fragmento inicial exacto de palabras Unicode coincidentes e deixa a puntuación, os espazos e as palabras sen coincidencia intactos.
Abrir ferramenta →Eliminar sufixo das palabras
Elimina unha única terminación exacta das palabras Unicode coincidentes sen aplanar os separadores nin modificar as palabras que non leven ese sufixo.
Abrir ferramenta →Inserir separador entre caracteres
Coloca un separador elixido entre os puntos de código Unicode sen dividir pares substitutos como os emojis en metades inválidas.
Abrir ferramenta →Citar cada liña de texto
Encadre cada liña entre comiñas dobres, comiñas simples ou backticks, preservando as liñas baleiras e a orde orixinal das liñas.
Abrir ferramenta →Eliminar as comiñas das liñas de texto
Elimina un par equilibrado de comiñas externas de cada liña usando coincidencia automática ou explícita do estilo de comiñas.
Abrir ferramenta →Citar cada palabra
Rodee cada token de palabra Unicode cun carácter de comiñas seleccionado, mantendo as comas, a puntuación e os espazos en branco orixinais.
Abrir ferramenta →Eliminar as comiñas das palabras
Desenvolve individualmente as palabras Unicode entre comiñas cando ambas marcas de comiñas coincidan, sen eliminar marcas de comiñas alleas da prosa.
Abrir ferramenta →Normalizar liñas en branco
Limitar as filas en branco consecutivas a un máximo exacto mentres se preserva a sangría e cada liña non baleira.
Abrir ferramenta →Converter espazos en novas liñas
Converte cada token separado por espazos nunha liña e colapsa de maneira determinista os espazos repetidos, as tabulacións e os saltos de liña xa existentes.
Abrir ferramenta →Converter saltos de liña nun separador
Unir liñas de texto non baleiras cun separador configurable mentres se recorta só o espazo en branco exterior de cada fila.
Abrir ferramenta →Analizador de frecuencia de palabras
Clasificar palabras Unicode por número de aparición con lonxitude mínima axustable, límite de resultados e comparación sensible ás maiúsculas e minúsculas.
Abrir ferramenta →Ordenar as letras dentro das palabras
Ordena as letras e os números Unicode dentro de cada palabra de forma independente sen mover a puntuación nin as propias palabras.
Abrir ferramenta →Ordenar todos os caracteres do texto
Ordenar todos os puntos de código Unicode de toda a entrada con eliminación opcional de espazos en branco e dirección ascendente ou descendente explícita.
Abrir ferramenta →Número, texto e frases
Pon cada frase detectada na súa propia liña numerada cun valor inicial configurable e tres estilos de marcador lexibles.
Abrir ferramenta →Número de parágrafos de texto
Numera os parágrafos separados por liñas en branco mantendo todos os saltos de liña internos e o formato de cada parágrafo.
Abrir ferramenta →Buscador de frases duplicadas
Lista as oracións completas repetidas con contagens usando comparación explícita sensible ou insensible ás maiúsculas e minúsculas.
Abrir ferramenta →Extractor de frases únicas
Conserva a primeira aparición de cada frase completa e elimina as duplicadas posteriores segundo unha regra de maiúsculas e minúsculas seleccionable.
Abrir ferramenta →Codificador e descodificador de texto Base32
Convierte texto UTF-8 a Base32 canónica RFC 4648 ou descodifica estritamente un valor Base32 con ou sen recheo.
Abrir ferramenta →Codificador e decodificador de texto Base32hex
Codifica e descodifica UTF-8 co alfabeto Base32 hexadecimal estendido definido pola sección 7 do RFC 4648.
Abrir ferramenta →Codificador e descodificador de texto Base45
Transformar texto UTF-8 co alfabeto Base45 compacto RFC 9285 usado por formatos de datos orientados a QR.
Abrir ferramenta →Codificador e descodificador de texto Bitcoin Base58
Converter bytes UTF-8 co alfabeto Base58 de Bitcoin mentres se conservan exactamente os bytes cero iniciais.
Abrir ferramenta →Codificador e descodificador de texto Ascii85
Codifica UTF-8 en grupos Ascii85 de cinco caracteres ou descodifica datos estritamente compatibles con Adobe con delimitadores opcionais e compresión z.
Abrir ferramenta →Codificador e decodificador de texto Quoted-Printable
Codifica texto de estilo correo UTF-8 como quoted-printable de RFC 2045 ou decodifica escapes validados en maiúsculas e saltos de liña normalizados polo navegador.
Abrir ferramenta →Non hai ferramentas coincidentes nesta páxina.